<?php
@session_start();
/**
 * 后台入口文件 * @copyright Copyright (c) 2007 - 2009 巨腾科技 (www.020jt.com)
 * @contact 电话：020-38399445、020-38399446 邮箱：service@020jt.com
 * @version v4.0 2007-06-10
 */
require_once('../include/config.php'); // 调用配置文件
require_once('../include/db_mysql.php'); // 调用数据库类
require_once('../include/common.inc.php'); // 调用公共配置文件
require_once('../include/colib/Smarty.class.php'); // 调用Smarty模板处理程序
require_once("../include/smarty_adminc_con.php"); // 调用smarty配置文件

/**
 +-------------------------------------------------------------------
 * 主体处理程序 $act
 +-------------------------------------------------------------------
 * index  默认
 * login  验证
 +-------------------------------------------------------------------
 */

$act = empty($_GET['act']) ? 'index' : $_GET['act'];

switch($act) {
	case 'index':

		$smarty->assign('auth', $auth); // 定义是否验证

		break;

	case 'login':


		if (version_compare( phpversion(), "5.0.0", ">=")) {
			include("../include/auth/AuthCode.class.php5"); // 调用验证码类
		} else {
			include("../include/auth/AuthCode.class.php"); // 调用验证码类
		}

		$auth_code_obj = new AuthCode();
		$validate      = $_POST['validate'];
		$jumpurl       = 'index.php';

		$_SESSION['userid']   = '';
		$_SESSION['username'] = '';
		$_SESSION['cn']       = '';
		$_SESSION['tk']       = '';
		$_SESSION['en']       = '';
		$_SESSION['html']     = '';


		if ($auth == 1) { // 启用验证码
			if ($auth_code_obj->validate($validate, false)) {
				$auth_obj = 1;
			} else {
				$auth_obj = 0;
			}
		} else {
			$auth_obj = 1;
		}


		//		if ($auth_code_obj->validate($validate, false)) {
		if ($auth_obj == 1) {
			$username = $_POST['username'];
			$password = md5($_POST['password']);
			$re1s = $db->query("select uid,username,password,groupid from {$prefix}_members where username='$username' and password='$password'");
			$re1r = $db->getarray($re1s);
			if ($re1r) {
				$re2s = $db->query("select * from {$prefix}_groups where id={$re1r['groupid']}");
				$re2r = $db->getarray($re2s);

				if ($re2r['manager']==1) {
					$_SESSION['userid']    = $re1r['uid'];
					$_SESSION['username']  = $re1r['username'];
					$_SESSION['groupid']   = $re2r['id'];
					$_SESSION['groupname'] = $re2r['title'];
					$_SESSION['MPID']      = substr(md5($_SERVER['REMOTE_ADDR'].$_SERVER['HTTP_USER_AGENT'].$safe), 7, 5);
					// 获取系统配置表中的数据
					$re2s = $db->query("select * from {$prefix}_setup where id=1");
					$re2r = $db->getarray($re2s);
					$_SESSION['cn']   = $re2r['cn'];
					$_SESSION['tk']   = $re2r['tk'];
					$_SESSION['en']   = $re2r['en'];
					$_SESSION['html'] = $re2r['html'];

					$jumpurl = 'main.php';
					$message = '登陆成功，正在进入管理平台!';
					$smarty->assign('message', $message); // 跳转消息
					$smarty->assign('jumpurl', $jumpurl); // 跳转url
					$smarty->assign('jumptime', 2); // 跳转时间
					$smarty->display('skins/'.$b_skins.'/zt_messjump.html');
					exit();
				} else {
					$message = '您没有权限登录后台管理系统,正在返回登陆界面!!!!';
				}
			} else {
				$message = '用户名或密码错误，正在返回登陆界面!!!!';
			}
		} else {
			$message = '验证码有误，正在返回登陆界面!!!!';
		}

		// 跳转
		$smarty->assign('message', $message); // 跳转消息
		$smarty->assign('jumpurl', $jumpurl); // 跳转url
		$smarty->assign('jumptime', 2); // 跳转时间
		$smarty->display('skins/'.$b_skins.'/zt_messjump.html');
		exit();

		break;

	case 'logout':

		$smarty->assign('auth', $auth); // 定义是否验证
		$_SESSION['userid']   = '';
		$_SESSION['username'] = '';
		$_SESSION['cn']       = '';
		$_SESSION['tk']       = '';
		$_SESSION['en']       = '';
		$_SESSION['html']     = '';

		break;

}
/**
 +-------------------------------------------------------------------
 * 调用模板文件
 +-------------------------------------------------------------------
 */
$smarty->display('skins/'.$b_skins.'/zt_index.html');
?>