<?php
/**
 * 资源栏目标签调用 * @copyright Copyright (c) 2007 - 2009 巨腾科技 (www.020jt.com)
 * @contact 电话：020-38399445、020-38399446 邮箱：service@020jt.com
 * @version v4.0 2007-06-10


/**
 +-------------------------------------------------------------------
 * 生成目录标签列表
 +-------------------------------------------------------------------
 * 
 +-------------------------------------------------------------------
 */

$re0s = $db->query("SELECT * FROM {$prefix}_resource_dir_include where skins='$skins' and available=1");
while($re0r = $db->getarray($re0s)) {
	$dirslist = ''; // 清空目录数据列表
	$list_ = explode("|", $re0r['dirs']);
	foreach ($list_ as $val) {
		$list__ = 'id='.$val.' || ';
		$dirslist = $dirslist.$list__;
	}
	$dirslist = substr($dirslist, 0, -4);

	if (empty($dirslist)) {
		$did = 'and 1>2';
	} else {
		$did = 'and '.$dirslist;
	}

	// 如果为调用所有目录
	if ($re0r['resourcetype']==0) {
		$did = '';
	}

	// - 输出数据

	$re1s = $db->query("SELECT * FROM {$prefix}_resource_dir where available=1 $did order by compositor asc,id asc limit 50");
	$resource_dir_array = '';
	while($re1r = $db->getarray($re1s)) {
		$resource_dir_array[] = smarrayall($re1r);
	}
	$smarty->assign($re0r['title'], $resource_dir_array);
}


/**
 +-------------------------------------------------------------------
 * 生成资源标签列表
 +-------------------------------------------------------------------
 * 代码调用名 title
 * 默认模板 skins
 * 调用模式 showmode 0 固定目录 1 Get方式获取目录
 * 固定(默认)目录 dirs[]
 * GET方式ID名 getname
 * 标题调用字数 showword
 * 简介调用字数 showbewrite
 * 内容调用字数 showcontent
 * 每页显示条数 showitem
 * 排序类型 showorder
 * 排序方式 showsc
 * 选择分页样式 paginationstyle
 * 调用分页的程序页面 file
 * 是否启用 available
 * 代码说明 content
 +-------------------------------------------------------------------
 */

$re0s = $db->query("SELECT * FROM {$prefix}_resource_include where skins='$skins' and available=1");
while($re0r = $db->getarray($re0s)) {

	// - 调用模式 showmode 0 固定目录 1 Get方式获取目录
	if($re0r['showmode'] == 1) { // Get调用目录
		$getname = $re0r['getname'];
		$id = intval($_REQUEST[$getname]);
		if (empty($id)) {
			// - 获取id为空情况下的默认目录
			if (empty($dirslist)) { // 如果为空值
				$did = 'where 1>2';
			} else {
				$did = 'and did='.$re0r['dirs'];
			}
		} else { // id非空
			$did = 'and did='.$id.' ';
		}

	} else { // 调用固定目录


		$did = 'and did='.$re0r['dirs'];

	}

	// - 总记录数

	$tal     = $db->getarray($db->query("select COUNT(*) as total from {$prefix}_resource where available=1 $did order by id asc")); // 总记录条数
	$total   = $tal['total'];

	// - 输出数据

	$perpage = empty($_GET['pe']) ? $re0r['showitem'] : $_GET['pe']; // 每页显示记录条数
	$page    = empty($_GET['page']) ? 1 : $_GET['page']; // 当页页数
	$pbegin  = ($page * $perpage - $perpage) < 0 ? 0 : $page * $perpage - $perpage; // 起始数据

	$showorder = $re0r['showorder'];
	$showsc    = $re0r['showsc'];
	$re1s = $db->query("SELECT * FROM {$prefix}_resource where available=1 $did order by compositor asc,$showorder $showsc limit $pbegin, $perpage");
	$resource_dir_array = '';
	while($re1r = $db->getarray($re1s)) {
		$re1r['time_year'] = date("Y-m-d H:i:s", $re1r['time']);
		$re1r['time_y'] = date("Y", $re1r['time']);
		$re1r['time_m'] = date("m", $re1r['time']);
		$re1r['time_d'] = date("d", $re1r['time']);
		$re1r['time_h'] = date("H", $re1r['time']);
		$re1r['time_i'] = date("i", $re1r['time']);
		$re1r['time_s'] = date("s", $re1r['time']);
		$re1r['cn_title'] = msubstr($re1r['cn_title'], 0, $re0r['showword'], 'utf-8', '..');
		$re1r['tk_title'] = msubstr($re1r['tk_title'], 0, $re0r['showword'], 'utf-8', '..');
		$re1r['en_title'] = msubstr($re1r['en_title'], 0, $re0r['showword']*2, 'utf-8', '..');
		$re1r['cn_bewrite'] = msubstr($re1r['cn_bewrite'], 0, $re0r['showbewrite'], 'utf-8', '..');
		$re1r['tk_bewrite'] = msubstr($re1r['tk_bewrite'], 0, $re0r['showbewrite'], 'utf-8', '..');
		$re1r['en_bewrite'] = msubstr($re1r['en_bewrite'], 0, $re0r['showbewrite']*2, 'utf-8', '..');
		$re1r['cn_content'] = msubstr($re1r['cn_content'], 0, $re0r['showcontent'], 'utf-8', '..');
		$re1r['tk_content'] = msubstr($re1r['tk_content'], 0, $re0r['showcontent'], 'utf-8', '..');
		$re1r['en_content'] = msubstr($re1r['en_content'], 0, $re0r['showcontent']*2, 'utf-8', '..');
		$re2s = $db->query("select * from {$prefix}_resource_dir where id = '".$re1r['did']."'");
		$re2r = $db->getarray($re2s);
		$re1r['d_cn_title'] = $re2r['cn_title'];
		$re1r['d_tk_title'] = $re2r['tk_title'];
		$re1r['d_en_title'] = $re2r['en_title'];

		$resource_array[] = smarrayall($re1r);
	}
	$smarty->assign($re0r['title'], $resource_array);

	// - 分页处理

	$paginationstyle = $re0r['paginationstyle'];
	if ($paginationstyle == 1 or $paginationstyle == 3 or $paginationstyle == 4 or $paginationstyle == 7) {
		$paginationstyle_cn = $paginationstyle.'0'; // 简
		$paginationstyle_tk = $paginationstyle.'1'; // 繁
		$paginationstyle_en = $paginationstyle.'2'; // 英
	} else {
		$paginationstyle_cn = $paginationstyle;
		$paginationstyle_tk = $paginationstyle;
		$paginationstyle_en = $paginationstyle;
	}

	$fpage = new page(array('total'=>$total, 'perpage'=>$perpage)); // 调用分页
	$smarty->assign($re0r['title']."_page", $fpage->show($paginationstyle_cn)); // 输出简体分页
	$smarty->assign($re0r['title']."_page_tk", $fpage->show($paginationstyle_tk)); // 输出繁体分页
	$smarty->assign($re0r['title']."_page_en", $fpage->show($paginationstyle_en)); // 输出英文分页

	// 输出父级目录信息

	if($re0r['showmode'] == 1) { // Get调用目录
		$did = intval($_GET[$re0r['getname']]);
		if (empty($did)) { // did为空
			$smarty->assign($re0r['title']."_d_cn_title",$re0r['d_name_cn']);
			$smarty->assign($re0r['title']."_d_tk_title",$re0r['d_name_tk']);
			$smarty->assign($re0r['title']."_d_en_title",$re0r['d_name_en']);
		} else {
			$re3s=$db->query("SELECT * FROM {$prefix}_resource_dir where id='$did'");
			$re3r=$db->getarray($re3s);
			$smarty->assign($re0r['title']."_d_cn_title",$re3r['cn_title']);
			$smarty->assign($re0r['title']."_d_tk_title",$re3r['tk_title']);
			$smarty->assign($re0r['title']."_d_en_title",$re3r['en_title']);
		}

	} else { // 调用固定目录
		$smarty->assign($re0r['title']."_d_cn_title",$re0r['d_name_cn']);
		$smarty->assign($re0r['title']."_d_tk_title",$re0r['d_name_tk']);
		$smarty->assign($re0r['title']."_d_en_title",$re0r['d_name_en']);
	}
}
?>