<?php
/**
 * 前台博文页面主文件 * @copyright Copyright (c) 2007 - 2009 巨腾科技 (www.020jt.com)
 * @contact 电话：020-38399445、020-38399446 邮箱：service@020jt.com
 * @version v4.0 2007-06-10
 */
session_start();
require_once('include/config.php');             // 调用配置文件
require_once('include/db_mysql.php');           // 调用数据库类
require_once('include/common.inc.php');         // 调用公共配置文件
require_once('include/smarty_con.php');         // 调用smarty文件
require_once('include/function.php');           // 调用基本函数库
require_once('include/page.class.php');         // 调用分页类

require_once('include/include_default.php');    // 调用默认固定标签
require_once('include/include_ad.php');         // 调用广告标签
require_once('include/include_link.php');       // 调用友情链接标签
require_once('include/include_top.php');        // 调用头部标签
require_once('include/include_blog.php');       // 调用博客标签
require_once('include/include_photo.php');      // 图片标签

require_once('include/include_about.php');      // 调用关于我们标签
require_once('include/include_link.php');       // 调用友情链接标签


/**
 +-------------------------------------------------------------------
 * 主体处理程序
 +-------------------------------------------------------------------
 */ 

// - 安全检查
$id = intval($_GET['id']);
if (empty($id)) {
	$act = empty($_GET['act']) ? 'list' : $_GET['act'];
} else {
	$act = empty($_GET['act']) ? 'page' : $_GET['act'];
}
switch($act) {

	case 'list':


		break;


	case 'page':

		/**
		 +-------------------------------------------------------------------
		 * 博文前台调用参数
		 +-------------------------------------------------------------------
		 * ID  数据列表
		 * ID: <!--{$view.id}-->
		 +-------------------------------------------------------------------
		 */


		// - 输出数据列表
		$re1s = $db->query("select * from {$prefix}_blog_logs where id = '$id'");
		$re1r = $db->getarray($re1s);
		$re2s = $db->query("select * from {$prefix}_blog_logs_dir where id = '{$re1r['did']}'");
		$re2r = $db->getarray($re2s);
		$re1r['time'] = date("Y-m-d H:s" ,$re1r['time']);
		$re1r['d_cn_title'] = $re2r['cn_title'];
		$re1r['d_tk_title'] = $re2r['tk_title'];
		$re1r['d_en_title'] = $re2r['en_title'];
		$viewlist = smarrayall($re1r);
		$smarty->assign('view', $viewlist); // 定义显示数组

		// 访问量加1
		$db->update("update {$prefix}_blog_logs set hits=hits+1 where id='$id'");


		// - 评论调用

		$re1s = $db->query("select * from {$prefix}_blog_comm order by time desc,id desc limit 0, 50");
		while($re1r = $db->getarray($re1s)) {
			$re1r['time'] = date("Y-m-d H:i:s", $re1r['time']);
			$comm_list_array[] = smarrayall($re1r);
		}
		$smarty->assign('comm_list', $comm_list_array);

		break;

	case 'comm':

		// - 数据验证
		if (version_compare( phpversion(), "5.0.0", ">=")) {
			include("include/auth/AuthCode.class.php5"); // 调用验证码类
		} else {
			include("include/auth/AuthCode.class.php"); // 调用验证码类
		}

		$auth_code_obj = new AuthCode();
		$validate      = $_POST['validate'];

		if ($auth_code_obj->validate($validate, false)) {

			// - 参数设置

			$_POST['time'] = time();

			// - 插入数据表

			$db->insert_list("{$prefix}_blog_comm", $_POST, '|username|content|lid|time');
			$message ='已经评论成功,正在返回!';
			$jumpurl = 'logs.php?act=page&id='.$_POST['lid']; // 跳转链接，默认返回

			// 评论数加1
			$db->update("update {$prefix}_blog_logs set comm=comm+1 where id={$_POST['lid']}");

		} else {
			$message = '验证码有误，正在返回留言页面!!!!';
			$jumpurl = 'logs.php?act=page&id='.$_POST['lid']; // 跳转链接，默认返回
		}

		$smarty->assign('message', $message); // 跳转消息
		$smarty->assign('jumpurl', $jumpurl); // 跳转url
		$smarty->assign('jumptime', 2); // 跳转时间
		$smarty->display('skins/'.$skins.'/'.$language.'_messjump.html');
		exit();

		break;

}


/* ***********************************************************
* 调用模板文件
*********************************************************** */
$smarty->assign('act', $act);
$setuplist = smarrayall($setup);
$smarty->assign('setup', $setuplist); // 定义显示数组
$smarty->assign('ptime', ptime($time_start)); // 程序结束时间
$smarty->assign('c_userid', $c_userid); // Cookie userid
$smarty->assign('c_username', $c_username);  // Cookie username
// 调用相对应的模板文件，$skins是默认风格，$language是默认语言
$smarty->display('skins/'.$skins.'/'.$language.'_logs.html', cache_id('logs.php'));
?>